/* The main calendar widget.  DIV containing a table. */

div.calendar { position: relative; }

.calendar, .calendar table {
	border: 1px solid #999999;
	font-size: 11px;
	color: #616161;
	cursor: default;
	font-family: tahoma,verdana,sans-serif;
	background: White;
}

/* Header part -- contains navigation buttons and day names. */

.calendar .button {
	text-align: center; /* They are the navigation buttons */
	padding: 2px; /* Make the buttons seem like they're pressing */
}

.calendar .nav {
	background: #E16215 url(menuarrow.gif) no-repeat 100% 100%;
	color: White;
}

.calendar thead .title {
	font-weight: bold; /* Pressing it will take you to the current date */
	text-align: center;
	padding: 2px;
	background: White;
	color: #616161;
}

.calendar thead .headrow {
	/* Row <TR> containing navigation buttons */
	background: #E16215;
	color: #fff;
}

.calendar thead .daynames {
	/* Row <TR> containing the day names */
	background: #D7D7D7;
}

.calendar thead .name {
	/* Cells <TD> containing the day names */
	border-bottom: 1px solid #999999;
	padding: 2px;
	text-align: center;
}

.calendar thead .weekend {
	/* How a weekend day name shows in header */
	color: #E16215;
}

.calendar thead .hilite {
	/* How do the buttons in header appear when hover */
	background-color: White;
	color: #616161;
	border: 1px solid #999999;
	padding: 1px;
}

.calendar thead .active {
	/* Active (pressed) buttons in header */
	background-color: #FFEFCE;
	padding: 2px 0px 0px 2px;
}

/* The body part -- contains all the days in month. */

.calendar tbody .day {
	/* Cells <TD> containing month days dates */
	width: 2em;
	color: #616161;
	text-align: right;
	padding: 2px 4px 2px 2px;
	background: #FFEFCE;
}
.calendar tbody .day.othermonth {
  font-size: 80%;
  color: #bbb;
}
.calendar tbody .day.othermonth.oweekend {
  color: #fbb;
}

.calendar table .wn {
	padding: 2px 3px 2px 2px;
	border-right: 1px solid #999999;
	background: #D7D7D7;
}

.calendar tbody .rowhilite td {
	background: #FFF5DF;
}

.calendar tbody .rowhilite td.wn {
	background: #FFF5DF;
}

.calendar tbody td.hilite {
	/* Hovered cells <TD> */
	background: #FFF5DF;
	padding: 1px 3px 1px 1px;
	border: 1px solid #FEC399;
}

.calendar tbody td.active {
	/* Active (pressed) cells <TD> */
	background: #FFE4AC;
	padding: 2px 2px 0px 2px;
}

.calendar tbody td.selected {
	/* Cell showing today date */
	font-weight: bold;
	border: 1px solid #FEC399;
	padding: 1px 3px 1px 1px;
	background: #fff;
	color: #000;
}

.calendar tbody td.weekend {
	/* Cells showing weekend days */
	color: #E16215;
	background: #FFEFCE;
}

.calendar tbody td.today {
	/* Cell showing selected date */
	font-weight: bold;
	color: #E5671B;
}

.calendar tbody .disabled { color: #999; }

.calendar tbody .emptycell {
	/* Empty cells (the best is to hide them) */
	background: #FFEFCE;
}

.calendar tbody .emptyrow { /* Empty row (some months need less than 6 rows) */
  display: none;
}

/* The footer part -- status bar and "Close" button */

.calendar tfoot .footrow { /* The <TR> in footer (only one right now) */
  text-align: center;
  background: #556;
  color: #fff;
}

.calendar tfoot .ttip {
	/* Tooltip (status bar) cell <TD> */
	background: #fff;
	color: #616161;
	border-top: 1px solid #999999;
	padding: 1px;
}

.calendar tfoot .hilite {
	/* Hover style for buttons in footer */
	background: #FFEFCE;
	border: 1px solid #999999;
	color: #616161;
	padding: 1px;
}

.calendar tfoot .active {
	/* Active (pressed) style for buttons in footer */
	background: #FFEFCE;
	padding: 2px 0px 0px 2px;
	color: #616161;
}

/* Combo boxes (menus that display months/years for direct selection) */

.calendar .combo {
	position: absolute;
	display: none;
	top: 0px;
	left: 0px;
	width: 4em;
	cursor: default;
	border: 1px solid #999999;
	background: #D7D7D7;
	color: #616161;
	font-size: 90%;
	z-index: 100;
}

.calendar .combo .label,
.calendar .combo .label-IEfix {
	text-align: center;
	padding: 1px;
	color: #616161;
}

.calendar .combo .label-IEfix {
  width: 4em;
}

.calendar .combo .hilite {
	background: #E16215;
	color: White;
}

.calendar .combo .active {
	border-top: 1px solid #999999;
	border-bottom: 1px solid #999999;
	background: #FFEFCE;
	font-weight: bold;
	color: #616161;
}

.calendar td.time {
  border-top: 1px solid #000;
  padding: 1px 0px;
  text-align: center;
  background-color: #f4f0e8;
}

.calendar td.time .hour,
.calendar td.time .minute,
.calendar td.time .ampm {
  padding: 0px 3px 0px 4px;
  border: 1px solid #889;
  font-weight: bold;
  background-color: #fff;
}

.calendar td.time .ampm {
  text-align: center;
}

.calendar td.time .colon {
  padding: 0px 2px 0px 3px;
  font-weight: bold;
}

.calendar td.time span.hilite {
  border-color: #000;
  background-color: #667;
  color: #fff;
}

.calendar td.time span.active {
  border-color: #f00;
  background-color: #000;
  color: #0f0;
}
